import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/system/advList/pageList',
    method: 'get',
    params: query
  })
}

// 新增/修改
export const saveAndEdit = (data) => {
  return request({
    url: '/system/advList/insertOrUpdate',
    method: 'post',
    data: data
  })
}

// 取消认证状态
export function updateAuthStatus(data) {
  return request({
    url: '/system/memberInfo/updateAuthStatus?id=' + data.id,
    method: 'get'
  })
}


// ID获取详情
export function getSelectById(id) {
  return request({
    url: '/system/merchantTheatre/selectById?id=' + id,
    method: 'get'
  })
}

// 删除模板
export const deleteById = (id) => {
  return request({
    url: '/system/advList/deleteById',
    method: 'delete',
    params: {id:id}
  })
}
